Bug Hunting Session
Bug 54930 - EDITING Report builder: mouse-resize control allows to move top of control to out of section
Summary: EDITING Report builder: mouse-resize control allows to move top of control to...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.5.7.1 rc
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectNotNeeded, patch, regression
Depends on: 54933 44721
Blocks: Database-Reports-Builder 52471
  Show dependency treegraph
 
Reported: 2012-09-14 15:33 UTC by Lionel Elie Mamane
Modified: 2018-09-26 02:43 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
in-progress patch (3.08 KB, patch)
2012-09-14 15:41 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2012-09-14 15:33:51 UTC
+++ This bug was initially created as a clone of Bug #44721 +++

When resizing a control with the mouse, it lets one go above the top of the section. This creates a situation that is rife for bugs, since code usually expects the y coordinate of a control to be (not-strictly) positive!

Compare with moving a control with the mouse, where the move stops at the boundary (position y coordinate=0).

I tried to do "the same as for move" in the resize, but it is much more complicated, since the resize does not get as arguments straight "this is your new size", but a reference point (?) and fractions of what multiple of the distance to that reference point the border should be moved. Not sure why it is so indirect.

I tried to hack up something, herewith attached, but this affects also legal resizes near the top of the section, so my math must be off somehow. Calculated as reverse of the formula in svx/source/svdraw/svdtrans.cxx:void ResizeRect

I'm about to go to vacation, so dumping my current work so that I don't forget.
Comment 1 Lionel Elie Mamane 2012-09-14 15:41:01 UTC
Created attachment 67171 [details]
in-progress patch
Comment 2 Rainer Bielefeld Retired 2012-10-05 06:50:37 UTC
@Lionel:
A Bug reported for a 3.6 Version can not be a 3.5 MAB "by definition", so I remove this one from that Tracking bug. Please feel free to add it to an other MAB tracking bug due to <http://wiki.documentfoundation.org/Most_Annoying_Bugs>
Comment 3 Joel Madero 2013-10-29 01:38:04 UTC
As there's a patch in progress seems like bibisect is useless here. Removing whiteboard status.


Lionel - any update on this old bug?
Comment 4 Alex Thurgood 2015-01-03 17:41:14 UTC Comment hidden (no-value)
Comment 5 Robinson Tryon (qubit) 2015-03-05 18:13:21 UTC
(In reply to Joel Madero from comment #3)
> As there's a patch in progress seems like bibisect is useless here. Removing
> whiteboard status.

Updating whiteboard so bug doesn't appear in bugzilla gardening sweeps:
Whiteboard -> bibisectNotNeeded
Comment 6 Robinson Tryon (qubit) 2015-12-10 07:49:51 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2017-09-24 16:28:16 UTC
Hi Lionel,
In 2013, you attached a WIP patch for this issue and since then, no further action has been taken. Could you please check if the patch is still valid, and if you, submit it to gerrit instead ?
Comment 8 Lionel Elie Mamane 2017-09-25 10:44:31 UTC
(In reply to Xisco Faulí from comment #7)

> In 2013, you attached a WIP patch for this issue and since then, no further
> action has been taken. Could you please check if the patch is still valid,
> and if you, submit it to gerrit instead ?

Since the patch was not ready for merge in 2013, I doubt it magically now will be.

Since I don't really use report builder that much anymore, I actually don't know whether the bug is still present.

If/when I pick that up again, if I get the patch in ready to commit state, I'll just commit it, or ask for comments on gerrit if unsure.
Comment 9 QA Administrators 2018-09-26 02:43:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug